> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payin/recurring-payment/india/credit-card.md).

# Credit Card

This endpoint allows you to create a recurring CreditCard payment in India.

After the recurring payment order is created successfully, Pagsmile returns a `web_url`. Redirect the user to the `web_url` to continue and complete the payment authorization.

<mark style="color:green;">POST</mark> `https://gateway-test.pagsmile.com/trade/recurring`

#### Request Body

<table><thead><tr><th width="151.140625">Parameter</th><th width="88.0859375">Type</th><th width="110.078125">Required</th><th width="176.328125">Constraints</th><th>Description</th></tr></thead><tbody><tr><td>app_id</td><td>string</td><td>Required</td><td>Max length: 32</td><td>The merchant application ID assigned by Pagsmile.</td></tr><tr><td>timestamp</td><td>string</td><td>Required</td><td>Format: <code>yyyy-MM-dd HH:mm:ss</code></td><td>Request timestamp.</td></tr><tr><td>version</td><td>string</td><td>Required</td><td>Fixed value: <code>2.0</code></td><td>API version.</td></tr><tr><td>method</td><td>string</td><td>Required</td><td>Fixed value: <code>CreditCard</code></td><td>Payment method.</td></tr><tr><td>order_amount</td><td>string</td><td>Required</td><td>Supports up to 2 decimal places</td><td>Recurring payment amount.</td></tr><tr><td>trial_amount</td><td>string</td><td>Required</td><td>Supports up to 2 decimal places</td><td>Trial payment amount.</td></tr><tr><td>trial_period</td><td>string</td><td>Required</td><td>Example: <code>1D</code></td><td>Trial period.</td></tr><tr><td>order_currency</td><td>string</td><td>Required</td><td>Fixed value: <code>INR</code></td><td>Payment currency.</td></tr><tr><td>out_trade_no</td><td>string</td><td>Required</td><td>Max length: 64</td><td>Merchant order number. Must be unique.</td></tr><tr><td>recurring</td><td>string</td><td>Required</td><td>Fixed value: <code>on</code></td><td>Indicates that this is a recurring payment.</td></tr><tr><td>subject</td><td>string</td><td>Required</td><td>Max length: 128</td><td>Payment subject or order title.</td></tr><tr><td>content</td><td>string</td><td>Required</td><td>Max length: 255</td><td>Payment content or order description.</td></tr><tr><td>trade_type</td><td>string</td><td>Required</td><td>Fixed value: <code>WEB</code></td><td>Trade type.</td></tr><tr><td>notify_url</td><td>string</td><td>Required</td><td>Valid URL</td><td>The URL to receive payment notifications.</td></tr><tr><td>return_url</td><td>string</td><td>Required</td><td>Valid URL</td><td>The URL to redirect the user after payment.</td></tr><tr><td>buyer_id</td><td>string</td><td>Required</td><td>Max length: 64</td><td>Merchant-side user ID.</td></tr><tr><td>interval</td><td>string</td><td>Required</td><td>Example: <code>1M</code></td><td>Recurring payment interval.</td></tr><tr><td>quantity</td><td>integer</td><td>Required</td><td>Example: <code>3</code></td><td>Number of recurring payment cycles.</td></tr><tr><td>timeout_express</td><td>string</td><td>Optional</td><td>Example: <code>10900m</code></td><td>Payment expiration time.</td></tr></tbody></table>

#### Request Sample

```json
{
  "app_id": "162***43",
  "timestamp": "2026-07-16 17:35:05",
  "version": "2.0",
  "method": "CreditCard",
  "order_amount": "1.33",
  "trial_amount": "1.02",
  "trial_period": "1D",
  "order_currency": "INR",
  "out_trade_no": "out_61***5",
  "recurring": "on",
  "subject": "trade pay test",
  "content": "trade pay test conent",
  "trade_type": "WEB",
  "notify_url": "http://demo.gemini-tiger.cn/callback/success",
  "return_url": "https://pagsmile.com/zh/",
  "buyer_id": "610625",
  "interval": "1M",
  "quantity": 3,
  "timeout_express": "10900m"
}
```

#### Response Sample

```json
{
  "code": "10000",
  "msg": "Success",
  "out_trade_no": "out_61***125",
  "trade_no": "20260***672",
  "web_url": "https://checkout.pagsmile.com?prepay_id=dk1***B8&return_url=https://pagsmile.com/zh/"
}
```

{% hint style="info" %}
After receiving the `web_url`, redirect the user to the `web_url` to continue the payment authorization.
{% endhint %}
